﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define ko = Character("Kokoshi")

define a = Character("Amber")

define k = Character("Kuki Shinobu")

define b = Character("Bully 1")

define bb = Character("Bully 2")

define be = Character("Belle")

# Определение количества историй на каждой странице
define stories_per_page = 6

# Список всех историй
default stories = [
    {"label": "story1", "name": "Amber | Story is 14% complete", "image": "amber3_menu.png"},
    {"label": "story2", "name": "Kuki Shinobu | Story complete", "image": "kuki_shinobu2_menu.png"},
]

# Определение текущей страницы
default current_page = 0


# The game starts here.

label start:

    # Показать экран выбора истории
    call screen story_selection

# Определение экрана выбора истории
screen story_selection:
    tag menu

    # Фон для меню выбора истории
    window:
        style "menu_window"

    frame:
        style "menu_frame"
        has vbox
        spacing 20

        text "Choose a story with one of the characters:"

        # Вычисляем количество страниц
        $ num_pages = (len(stories) + stories_per_page - 1) // stories_per_page

        # Показываем текущую страницу историй
        grid 2 3:
            transpose True

            # Отображаем истории для текущей страницы
            for i in range(current_page * stories_per_page, min((current_page + 1) * stories_per_page, len(stories))):
                frame:
                    has vbox
                    spacing 10
                    text stories[i]["name"]
                    add stories[i]["image"] size (298, 184)
                    textbutton "Select" action Jump(stories[i]["label"])

        # Кнопки для переключения страниц
        hbox:
            if current_page > 0:
                textbutton "Back" action SetVariable("current_page", current_page - 1)
            if current_page < num_pages - 1:
                textbutton "Next" action SetVariable("current_page", current_page + 1)

# Определение первой истории
label story1:

    scene amber1

    # These display lines of dialogue.

    ko "I have to go to school again tomorrow."

    ko "I hope to donate to gacha after school."

    scene amber2

    a "Ah!"
    
    ko "What?!"

    scene amber3

    a "Where am I?"

    ko "In my room."

    scene amber4

    ko "So your name's Amber?"

    scene amber7

    a "Yeah, I used teleportation and I must have gotten here."

    scene amber6

    ko "So teleportation works to another world as well?"

    scene amber5

    a "Most likely."

    scene amber8

    a "But I can't go back, can I stay with you?"

    ko "Okay."

    scene black

    "A few hours later."

    scene amber9

    ko "What are you doing?"

    a "One of my rings rolled under the couch."

    scene amber10

    ko "You have such a nice ass."

    a "Wha-"

    scene amber12

    a "What are you doing!"

    ko "You have to pay for housing."

    scene amber17

    a "AH!"

    ko "It feels so good."

    $ renpy.movie_cutscene("amber_video1.webm")

    a "Ugh!"

    scene amber27

    a "You're awful!"

    ko "Yeah, yeah. Let's continue."

    scene amber21

    a "Nyha."

    $ renpy.movie_cutscene("amber_video2.webm")

    ko "I'm gonna come again!"

    a "Not inside!"

    $ renpy.movie_cutscene("amber_video3.webm")
    
    scene amber26

    ko "Uh, Amber, you're amazing."

    a "Yeah..."

    scene amber25

    ko "Well, you've paid to stay with me tonight."

    scene black

    "Amber's story is complete. But she might continue soon."

    # This ends the game.

    call screen story_selection
    return

label story2:

    scene kuki_shinobu1

    ko "Well, why did you call me here?"

    scene kuki_shinobu2

    ko "If you don't need anything, I'll-"

    k "HAYA!"

    scene black

    "A few minutes later."

    $ renpy.movie_cutscene("kuki_shinobu_video1.webm")

    $ renpy.movie_cutscene("kuki_shinobu_video2.webm")

    scene kuki_shinobu3

    k "Amazing."

    k "Your dick is so amazing."

    scene kuki_shinobu5

    b "What do we have here."

    bb "Girl, don't you want to have fun with us?"

    scene kuki_shinobu4

    k "Huh? You're lie down next to him!"

    b "Haha!"

    scene black

    k "Ngh!"

    k "Ah!"

    k "Hey, put me!"

    k "You'll regret it yet!"

    "A few minutes later."

    $ renpy.movie_cutscene("kuki_shinobu_video3.webm")

    scene kuki_shinobu6

    b "Kuki, you're amazing."

    bb "Shinobu, you were made to suck dicks."

    k "I'll kill you!"

    $ renpy.movie_cutscene("kuki_shinobu_video4.webm")

    scene kuki_shinobu7

    k "Please stop."

    k "{i}Why does it feel so good?{/i}"

    k "{i}I love Kokoshi, don't I?{/i}"

    b "Kuki, you still have a lot of work to do."

    $ renpy.movie_cutscene("kuki_shinobu_video5.webm")

    scene kuki_shinobu8

    k "I'm sorry, I'm sorry, I'm sorry."

    b "Haha, forgiveness won't help you."

    bb "Let's continue, it's my turn."

    scene black

    k "Nooooo."

    k "Help me."

    bb "So good."

    "Some time later."

    scene kuki_shinobu9

    k "Impossible."

    k "No way."

    k "But... I liked it..."

    scene kuki_shinobu10

    k "{i}Uh, there's gotta be a book on pregnancy around here somewhere.{/i}"

    k "{i}I want to know more about it.{/i}"

    scene kuki_shinobu11

    b "Kuki, help you?"

    k "N-no..."

    k "I can handle myself."

    b "You can't overwork yourself, I'll help you."

    scene kuki_shinobu14

    k "Please stop."

    k "I'm not allowed to do that."

    b "Eh, Kuki, just once."

    $ renpy.movie_cutscene("kuki_shinobu_video6.webm")

    scene kuki_shinobu12

    be "Wha-!"

    be "{i}Need to hide!!!{/i}"

    $ renpy.movie_cutscene("kuki_shinobu_video7.webm")

    scene kuki_shinobu13

    be "{i}Why I...{/i}"

    be "{i}I gotta get outta here.{/i}"

    scene kuki_shinobu15

    k "Not inside..."

    b "Sorry, already cummed."

    b "Thanks Kuki."

    scene kuki_shinobu16

    k "Why I like it..."

    k "But his dick..."

    k "Love."

    scene kuki_shinobu17

    k "Aren't we here to learn?"

    b "Aren't we learning? This is the first time you've ever done this."

    k "Hehe, right."

    $ renpy.movie_cutscene("kuki_shinobu_video8.webm")

    scene kuki_shinobu17

    k "Oh, all on face."

    scene black

    "A few months later."

    "Kuki had the baby and continued to have sex with the bully."

    "Kokoshi never knew what happened at the gym."

    "They also now have Belly along with them."

    $ renpy.movie_cutscene("kuki_shinobu_video9.webm")

    $ renpy.movie_cutscene("kuki_shinobu_video10.webm")

    scene kuki_shinobu18

    b "I'm going to call some friends."

    k "Okay..."

    be "Yay..."

    scene black

    "Kuki's story is complete."

    call screen story_selection
    return